View Issue Details

IDProjectCategoryView StatusLast Update
0001174PluginsFARCmdspublic2010-05-03 00:18
ReporterJohnDoeAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.0 
Summary0001174: whereis: порядок поиска
DescriptionСказано:

Поиск осуществляется в следующем порядке:
1. Текущий каталог
2. Каталог, на котрый указывает переменная среды %FARHOME%
3. Windows 95: Системный каталог Windows (SYSTEM).
   Windows NT: 32-битный системный каталог Windows (SYSTEM32)
4. Windows NT: 16-битный системный каталог Windows (SYSTEM)
5. Каталог Windows.
6. Каталоги, которые перечислены в переменной окружения PATH
7. Содержимое ветки реестра:
   HKCU\Software\Microsoft\Windows\CurrentVersion\App Paths
8. Содержимое ветки реестра:
   HKLM\Software\Microsoft\Windows\CurrentVersion\App Paths

На самом деле: 3. 4. 5. не работают
Steps To ReproduceЕсли из PATH удалить пути C:\WINDOWS, C:\WINDOWS\system32, C:\WINDOWS\system, то там уже ничего не найдётся.
Additional Information2. Каталог, на котрый указывает переменная среды %FARHOME%
Опечатка: котрый
TagsNo tags attached.

Activities

vskirdin

2009-11-30 12:37

administrator   bugnote:0004625

проверь
http://skirda-file.googlecode.com/files/FarCmds.Mants%231174.1.rar

JohnDoe

2009-11-30 13:18

updater   bugnote:0004627

Оно!

vskirdin

2009-11-30 13:40

administrator   bugnote:0004629

build 54

JohnDoe

2009-12-01 10:57

updater   bugnote:0004647

...Но порядок поиска не соответствует хелпу.

6 находится раньше чем 3 4 5

alexy

2009-12-01 11:34

administrator   bugnote:0004650

Валя посмотри как в TempPanel::TmpMix.cpp::FindListFile() сделано.

JohnDoe

2009-12-01 13:23

updater   bugnote:0004651

В самом фаре кстати та же проблема.

vskirdin

2009-12-01 17:17

administrator   bugnote:0004652

В обЧем я так думаю: нужен FSF.SearchPath с правильным функционалом, дабы не плодить сущности и чтобы как в армии - однообразно и подобно...

alexy

2009-12-01 17:24

administrator   bugnote:0004653

Ну тогда уже надо что то типа - FSF.PrepareForExecute чтоб делал всё что делает запускатор кроме запуска - т.е. чтоб находил команду, говорил гуи или нет, ассоциация или нет и формировал строку для запуска.

JohnDoe

2009-12-01 17:24

updater   bugnote:0004654

Last edited: 2009-12-01 17:31

View 2 revisions

Не забудьте про алиасы DOSKEY

Но хочу обсудить саму последовательность.
В хелпе описана последоватьность 3 4 5 6.
Именно так происходит поиск например при использовании ShellExecute.
Однако у cmd другая последовательность: 6 3 4 5
Как быть?

vskirdin

2009-12-01 17:41

administrator   bugnote:0004655

Так, стоп, причем тут PrepareForExecute? это отдельный топик заводите :-)
Мы сейчас пока про поиск говорим.

> Однако у cmd другая последовательность: 6 3 4 5
хелп изменить ;-)

JohnDoe

2010-04-30 12:37

updater  

FARCmdsRus_fix.hlf (25,546 bytes)

JohnDoe

2010-04-30 12:38

updater   bugnote:0005290

Приаттачил исправленый хелп.

237c237,238
< 3. Windows 95: Системный каталог Windows (SYSTEM).
---
> 3. Каталоги, которые перечислены в переменной окружения #PATH#
> 4. Windows 95: Системный каталог Windows (SYSTEM).
239,241c240,241
< 4. Windows NT: 16-битный системный каталог Windows (SYSTEM)
< 5. Каталог Windows.
< 6. Каталоги, которые перечислены в переменной окружения #PATH#
---
> 5. Windows NT: 16-битный системный каталог Windows (SYSTEM)
> 6. Каталог Windows.

vskirdin

2010-04-30 13:13

administrator   bugnote:0005292

на svn.
без билда ;-)

JohnDoe

2010-04-30 14:45

updater   bugnote:0005296

Значит этот тикет можно закрывать.
Надо только выделить в отдельный тикет следующее:

>>В обЧем я так думаю: нужен FSF.SearchPath с правильным функционалом, дабы не >>плодить сущности и чтобы как в армии - однообразно и подобно...

>Ну тогда уже надо что то типа - FSF.PrepareForExecute чтоб делал всё что делает >запускатор кроме запуска - т.е. чтоб находил команду, говорил гуи или нет, >ассоциация или нет и формировал строку для запуска.

Issue History

Date Modified Username Field Change
2009-11-24 02:30 JohnDoe New Issue
2009-11-30 12:34 vskirdin Status new => assigned
2009-11-30 12:34 vskirdin Assigned To => vskirdin
2009-11-30 12:37 vskirdin Note Added: 0004625
2009-11-30 13:18 JohnDoe Note Added: 0004627
2009-11-30 13:40 vskirdin Note Added: 0004629
2009-11-30 13:40 vskirdin Status assigned => feedback
2009-12-01 10:57 JohnDoe Note Added: 0004647
2009-12-01 11:34 alexy Note Added: 0004650
2009-12-01 13:23 JohnDoe Note Added: 0004651
2009-12-01 17:17 vskirdin Note Added: 0004652
2009-12-01 17:24 alexy Note Added: 0004653
2009-12-01 17:24 JohnDoe Note Added: 0004654
2009-12-01 17:31 JohnDoe Note Edited: 0004654 View Revisions
2009-12-01 17:41 vskirdin Note Added: 0004655
2010-04-30 12:37 JohnDoe File Added: FARCmdsRus_fix.hlf
2010-04-30 12:38 JohnDoe Note Added: 0005290
2010-04-30 12:38 JohnDoe Status feedback => assigned
2010-04-30 13:13 vskirdin Note Added: 0005292
2010-04-30 13:13 vskirdin Status assigned => feedback
2010-04-30 14:45 JohnDoe Note Added: 0005296
2010-04-30 14:45 JohnDoe Status feedback => assigned
2010-05-03 00:18 alexy Status assigned => closed
2010-05-03 00:18 alexy Resolution open => fixed
2010-05-03 00:18 alexy Fixed in Version => 2.0